"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const _config_1 = require("./_config");
const wait = (t) => new Promise(ok => setTimeout(ok, t));
(async () => {
    try {
        const matrix = new src_1.LedMatrix(_config_1.matrixOptions, _config_1.runtimeOptions);
        console.log('available pixel mappers: ', matrix.getAvailablePixelMappers());
        console.log(`current mapper config: ${_config_1.matrixOptions.pixelMapperConfig}`);
        console.log('height: ', matrix.height());
        console.log('width: ', matrix.width());
        matrix
            .clear()
            .brightness(100)
            .fgColor(0x0000ff)
            .drawRect(0, 0, matrix.width() - 1, matrix.height() - 1)
            .fgColor(0xff0000)
            .drawLine(0, matrix.height() / 2, matrix.width(), matrix.height() / 2)
            .sync();
        await wait(9999999);
    }
    catch (error) {
        console.error(`${__filename} caught: `, error);
    }
})();
