"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const _config_1 = require("./_config");
const nextColor = (f, t) => {
    const brightness = 0xff & Math.max(0, 255 * Math.sin((f * t) / 1000));
    return (brightness << 16) | (brightness << 8) | brightness;
};
(() => {
    try {
        const matrix = new src_1.LedMatrix(_config_1.matrixOptions, _config_1.runtimeOptions);
        const freqs = [...Array(matrix.width() * matrix.height()).keys()].map(i => i / 30);
        matrix.afterSync((_, __, t) => matrix.map(([_, __, i]) => nextColor(freqs[i], t)));
        matrix.sync();
    }
    catch (error) {
        console.error(error);
    }
})();
