"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const _config_1 = require("./_config");
class Pulser {
    x;
    y;
    f;
    constructor(x, y, f) {
        this.x = x;
        this.y = y;
        this.f = f;
    }
    nextColor(t) {
        /** You could easily work position-dependent logic into this expression */
        const brightness = 0xff & Math.max(0, 255 * Math.sin((this.f * t) / 1000));
        return (brightness << 16) | (brightness << 8) | brightness;
    }
}
(() => {
    try {
        const matrix = new src_1.LedMatrix(_config_1.matrixOptions, _config_1.runtimeOptions);
        const pulsers = [];
        for (let x = 0; x < matrix.width(); x++) {
            for (let y = 0; y < matrix.height(); y++) {
                pulsers.push(new Pulser(x, y, 5 * Math.random()));
            }
        }
        matrix.afterSync((mat, dt, t) => {
            pulsers.map(pulser => {
                matrix.fgColor(pulser.nextColor(t)).setPixel(pulser.x, pulser.y);
            });
            setTimeout(() => matrix.sync(), 0);
        });
        matrix.sync();
    }
    catch (error) {
        console.error(error);
    }
})();
